changeset in /hg/icedtea: 2008-02-15 Lillian Angel <langel at red...

Lillian Angel langel at redhat.com
Fri Feb 15 13:13:03 PST 2008


changeset fff544cac3f2 in /hg/icedtea
details: http://icedtea.classpath.org/hg/icedtea?cmd=changeset;node=fff544cac3f2
description:
	2008-02-15  Lillian Angel  <langel at redhat.com>

	        * configure.ac: Added conditional check for libffi.
	        * configure: Regenerated.
	        * patches/icedtea-version.patch: Updated.

diffstat:

4 files changed, 136 insertions(+), 17 deletions(-)
ChangeLog                     |    6 ++
configure                     |  101 ++++++++++++++++++++++++++++++++++++++++-
configure.ac                  |   16 ++++++
patches/icedtea-version.patch |   30 ++++++------

diffs (246 lines):

diff -r 00c531e8e94f -r fff544cac3f2 ChangeLog
--- a/ChangeLog	Fri Feb 15 11:00:56 2008 -0500
+++ b/ChangeLog	Fri Feb 15 16:07:10 2008 -0500
@@ -1,3 +1,9 @@ 2008-02-15  Gary Benson  <gbenson at redhat
+2008-02-15  Lillian Angel  <langel at redhat.com>
+
+	* configure.ac: Added conditional check for libffi.
+	* configure: Regenerated.
+	* patches/icedtea-version.patch: Updated.
+
 2008-02-15  Gary Benson  <gbenson at redhat.com>
 
 	* ports/hotspot/src/cpu/zero/vm/stubRoutines_zero.hpp: Build on x86.
diff -r 00c531e8e94f -r fff544cac3f2 configure
--- a/configure	Fri Feb 15 11:00:56 2008 -0500
+++ b/configure	Fri Feb 15 16:07:10 2008 -0500
@@ -774,6 +774,8 @@ GLIB_LIBS
 GLIB_LIBS
 GTK_CFLAGS
 GTK_LIBS
+LIBFFI_CFLAGS
+LIBFFI_LIBS
 LIBOBJS
 LTLIBOBJS'
 ac_subst_files=''
@@ -813,7 +815,9 @@ GLIB_CFLAGS
 GLIB_CFLAGS
 GLIB_LIBS
 GTK_CFLAGS
-GTK_LIBS'
+GTK_LIBS
+LIBFFI_CFLAGS
+LIBFFI_LIBS'
 
 
 # Initialize some variables set by options.
@@ -1468,6 +1472,9 @@ Some influential environment variables:
   GLIB_LIBS   linker flags for GLIB, overriding pkg-config
   GTK_CFLAGS  C compiler flags for GTK, overriding pkg-config
   GTK_LIBS    linker flags for GTK, overriding pkg-config
+  LIBFFI_CFLAGS
+              C compiler flags for LIBFFI, overriding pkg-config
+  LIBFFI_LIBS linker flags for LIBFFI, overriding pkg-config
 
 Use these variables to override the choices made by `configure' or to help
 it to find libraries and programs with nonstandard names/locations.
@@ -9970,6 +9977,94 @@ fi
 
 
 fi
+
+case "$build" in
+        *ppc*)
+
+pkg_failed=no
+{ echo "$as_me:$LINENO: checking for LIBFFI" >&5
+echo $ECHO_N "checking for LIBFFI... $ECHO_C" >&6; }
+
+if test -n "$PKG_CONFIG"; then
+    if test -n "$LIBFFI_CFLAGS"; then
+        pkg_cv_LIBFFI_CFLAGS="$LIBFFI_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libffi\"") >&5
+  ($PKG_CONFIG --exists --print-errors "libffi") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_LIBFFI_CFLAGS=`$PKG_CONFIG --cflags "libffi" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$LIBFFI_LIBS"; then
+        pkg_cv_LIBFFI_LIBS="$LIBFFI_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libffi\"") >&5
+  ($PKG_CONFIG --exists --print-errors "libffi") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_LIBFFI_LIBS=`$PKG_CONFIG --libs "libffi" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        LIBFFI_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libffi"`
+        else
+	        LIBFFI_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libffi"`
+        fi
+	# Put the nasty error message in config.log where it belongs
+	echo "$LIBFFI_PKG_ERRORS" >&5
+
+	{ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+                LIBFFI_FOUND=no
+elif test $pkg_failed = untried; then
+	LIBFFI_FOUND=no
+else
+	LIBFFI_CFLAGS=$pkg_cv_LIBFFI_CFLAGS
+	LIBFFI_LIBS=$pkg_cv_LIBFFI_LIBS
+        { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+	LIBFFI_FOUND=yes
+fi
+          if test "x${LIBFFI_FOUND}" = xno
+          then
+            { { echo "$as_me:$LINENO: error: Could not find libffi headers - \
+                         Try installing libffi-devel." >&5
+echo "$as_me: error: Could not find libffi headers - \
+                         Try installing libffi-devel." >&2;}
+   { (exit 1); exit 1; }; }
+          fi
+
+
+        ;;
+        *i*86*)
+        ;;
+esac
 
 cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure
@@ -10933,11 +11028,13 @@ GLIB_LIBS!$GLIB_LIBS$ac_delim
 GLIB_LIBS!$GLIB_LIBS$ac_delim
 GTK_CFLAGS!$GTK_CFLAGS$ac_delim
 GTK_LIBS!$GTK_LIBS$ac_delim
+LIBFFI_CFLAGS!$LIBFFI_CFLAGS$ac_delim
+LIBFFI_LIBS!$LIBFFI_LIBS$ac_delim
 LIBOBJS!$LIBOBJS$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 64; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 66; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
diff -r 00c531e8e94f -r fff544cac3f2 configure.ac
--- a/configure.ac	Fri Feb 15 11:00:56 2008 -0500
+++ b/configure.ac	Fri Feb 15 16:07:10 2008 -0500
@@ -288,4 +288,20 @@ AC_SUBST(GTK_LIBS)
 AC_SUBST(GTK_LIBS)
 fi
 
+case "$build" in
+        *ppc*)
+          dnl Check for libffi headers and libraries.
+          PKG_CHECK_MODULES(LIBFFI, libffi,[LIBFFI_FOUND=yes],[LIBFFI_FOUND=no])
+          if test "x${LIBFFI_FOUND}" = xno
+          then
+            AC_MSG_ERROR([Could not find libffi headers - \
+                         Try installing libffi-devel.])
+          fi
+          AC_SUBST(LIBFFI_CFLAGS)
+          AC_SUBST(LIBFFI_LIBS)
+        ;;
+        *i*86*)
+        ;;
+esac
+
 AC_OUTPUT
diff -r 00c531e8e94f -r fff544cac3f2 patches/icedtea-version.patch
--- a/patches/icedtea-version.patch	Fri Feb 15 11:00:56 2008 -0500
+++ b/patches/icedtea-version.patch	Fri Feb 15 16:07:10 2008 -0500
@@ -1,6 +1,6 @@
 --- openjdk.old/jdk/make/common/shared/Defs.gmk	2007-09-13 03:52:42.000000000 -0400
 +++ openjdk/jdk/make/common/shared/Defs.gmk	2007-09-18 16:24:59.000000000 -0400
-@@ -186,13 +186,13 @@
+@@ -194,13 +194,13 @@
  
  # Default names
  LAUNCHER_NAME = java
@@ -17,7 +17,7 @@
    PRODUCT_SUFFIX = Runtime Environment
    COMPANY_NAME =
  endif
-@@ -250,12 +250,7 @@
+@@ -258,12 +258,7 @@
  JDK_UNDERSCORE_VERSION =  $(subst .,_,$(JDK_VERSION))
  JDK_MKTG_UNDERSCORE_VERSION =  $(subst .,_,$(JDK_MKTG_VERSION))
  
@@ -31,20 +31,9 @@
  
  # FULL_VERSION is RELEASE and -BUILD_NUMBER if BUILD_NUMBER is set
  ifdef BUILD_NUMBER
---- openjdk.old/hotspot/build/hotspot_distro	2007-09-27 22:30:19.000000000 -0400
-+++ openjdk/hotspot/build/hotspot_distro	2007-09-28 11:07:28.000000000 -0400
-@@ -27,6 +27,6 @@
- #
- 
- # Don't put quotes (fail windows build).
--HOTSPOT_VM_DISTRO=OpenJDK
-+HOTSPOT_VM_DISTRO=IcedTea
- COMPANY_NAME=
--PRODUCT_NAME=OpenJDK
-+PRODUCT_NAME=IcedTea
 --- openjdk.old/hotspot/build/windows/projectfiles/common/Makefile	2007-09-27 22:30:19.000000000 -0400
 +++ openjdk/hotspot/build/windows/projectfiles/common/Makefile	2007-09-28 11:07:50.000000000 -0400
-@@ -125,7 +125,7 @@
+@@ -123,7 +123,7 @@
  !if exists($(HOTSPOTWORKSPACE)\src\closed)
  HOTSPOT_VM_DISTRO="Java HotSpot(TM)"
  !else
@@ -55,7 +44,7 @@
  
 --- openjdk.old/hotspot/src/share/vm/runtime/arguments.cpp	2007-12-10 15:46:40.000000000 -0500
 +++ openjdk/hotspot/src/share/vm/runtime/arguments.cpp	2007-12-19 09:41:41.000000000 -0500
-@@ -25,7 +25,7 @@
+@@ -28,7 +28,7 @@
  #include "incls/_precompiled.incl"
  #include "incls/_arguments.cpp.incl"
  
@@ -64,3 +53,14 @@
  #define DEFAULT_JAVA_LAUNCHER  "generic"
  
  char**  Arguments::_jvm_flags_array             = NULL;
+--- openjdkold/hotspot/build/linux/makefiles/vm.make	2008-02-12 04:14:13.000000000 -0500
++++ openjdk/hotspot/build/linux/makefiles/vm.make	2008-02-15 14:46:59.000000000 -0500
+@@ -98,7 +98,7 @@
+   ifeq ($(CLOSED_DIR_EXISTS), true)
+     VM_DISTRO = -DHOTSPOT_VM_DISTRO="\"Java HotSpot(TM)\""
+   else
+-    VM_DISTRO = -DHOTSPOT_VM_DISTRO="\"OpenJDK\""
++    VM_DISTRO = -DHOTSPOT_VM_DISTRO="\"IcedTea\""
+   endif
+ endif
+ 



More information about the distro-pkg-dev mailing list